#ifndef FRAME_H__
#define FRAME_H__

#include "PalWindow.h"
#include "ChrPage.h"
#include <wx/frame.h>
#include <wx/tglbtn.h>
#include <wx/button.h>
#include <wx/menu.h>
#include <wx/combobox.h>

class MyFrame : public wxFrame {
public:
	MyFrame(wxWindow *parent);
	MyFrame() = delete;

private:
	void OnShow(wxShowEvent& e);
	void OnButtonOpen(wxCommandEvent& e);
	/*void OnMenu(wxCommandEvent& e);*/
	void OnBitSizeUpdate(wxCommandEvent& e);

	ChrPage *sclTiles;
	PaletteWindow *sclPalette;
	wxScrolled<wxWindow> *sclTileMap;
	wxToggleButton *btnSelection;
	wxButton *btnOpenTiles;
	wxButton *btnOpenPalette;
	wxButton *btnOpenPalette24;
	wxMenuBar *mbrMain;
	wxMenu *mnuFile;
	wxComboBox *cmbBitSize;

	wxDECLARE_EVENT_TABLE();

};

#endif
